#
# spec file for package xzet (Version 1.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xzet
Release:      16
Copyright:    1992-94 Loganville Technical Resources, Inc
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.0
Summary:      Graphical System Activity Monitor
Source: xzet10.tgz
Patch: xzet1.0.dif
%description
XZET is an X windows application which is Zmans' vesion of Xetat and Top,
hence the name XZET.  It provides 3 different types of real time system
resource monitoring windows.  The first is a global system activity window
which displays stripcharts of global idle, user, system and nice
percentages. It also displays stripcharts for free swap space and free
physical memory.  Finally, it has displays for global process counts and
states, and free space monitoring of up to three file systems.  A second
window lists information on every process running in the system.  The
information varies based on whether a short or long format is selected. The
long format is quite complete.  The user can toggle the state of this list
between "frozen" and "auto-updating".  If an entry in the list is selected
with the mouse, a third and final window type will appear.  This is an
individual process window which features an updating tachometer widget for
both the processes percent cpu load and the percent physical memory load.
Information similar to that provided in the short format of the global
process list is also enumerated.

Authors:
--------
    Branko Lankester
    Roger Binns
    Michael K. Johnson <johnsonm@stolaf.edu>
    Robert J. Nation <nation@rocket.sanders.lockheed.com>

%prep
%setup -n xzet1.0
%patch
xmkmf -a
%build
make
%install
make install
make install.man
Check
%files
%dir /usr/X11R6/lib/X11/app-defaults
/usr/X11R6/bin/xzet
%config /usr/X11R6/lib/X11/app-defaults/XZet
%doc /usr/X11R6/man/man1/xzet.1x.gz
%doc README.xzet COPYING

